## org.apache.cassandra.avro
Class CassandraServer

    java.lang.Object
      org.apache.cassandra.avro.CassandraServer

All Implemented Interfaces:
  org.apache.cassandra.avro.Cassandra

    public class CassandraServer

extends java.lang.Object
implements org.apache.cassandra.avro.Cassandra

Field Summary

Fields inherited from interface org.apache.cassandra.avro.Cassandra
`__PARANAMER_DATA, PROTOCOL`

Constructor Summary
`CassandraServer()`

Method Summary
`org.apache.avro.generic.GenericArray<org.apache.cassandra.avro.Column>` `avronateSubColumns(java.util.Collection<IColumn> columns)`
`java.lang.Void` `batch_insert(org.apache.avro.util.Utf8 keyspace, org.apache.avro.util.Utf8 key, java.util.Map<org.apache.avro.util.Utf8,org.apache.avro.generic.GenericArray<org.apache.cassandra.avro.ColumnOrSuperColumn>> cfmap, org.apache.cassandra.avro.ConsistencyLevel consistency)`
`org.apache.avro.util.Utf8` `get_api_version()`
`org.apache.cassandra.avro.ColumnOrSuperColumn` `get(org.apache.avro.util.Utf8 keyspace, org.apache.avro.util.Utf8 key, org.apache.cassandra.avro.ColumnPath columnPath, org.apache.cassandra.avro.ConsistencyLevel consistencyLevel)`
`java.lang.Void` `insert(org.apache.avro.util.Utf8 keyspace, org.apache.avro.util.Utf8 key, org.apache.cassandra.avro.ColumnPath cp, java.nio.ByteBuffer value, long timestamp, org.apache.cassandra.avro.ConsistencyLevel consistencyLevel)`
`protected java.util.Map<java.lang.String,ColumnFamily>` `readColumnFamily(java.util.List<ReadCommand> commands, org.apache.cassandra.avro.ConsistencyLevel consistency)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CassandraServer

    public CassandraServer()

Method Detail

### get

    public org.apache.cassandra.avro.ColumnOrSuperColumn get(org.apache.avro.util.Utf8 keyspace,
                                                             org.apache.avro.util.Utf8 key,
                                                             org.apache.cassandra.avro.ColumnPath columnPath,
                                                             org.apache.cassandra.avro.ConsistencyLevel consistencyLevel)
                                                      throws org.apache.avro.ipc.AvroRemoteException,
                                                             org.apache.cassandra.avro.InvalidRequestException,
                                                             org.apache.cassandra.avro.NotFoundException,
                                                             org.apache.cassandra.avro.UnavailableException,
                                                             org.apache.cassandra.avro.TimedOutException

  Specified by:
    `get` in interface `org.apache.cassandra.avro.Cassandra`
  Throws:
    `org.apache.avro.ipc.AvroRemoteException`
    `org.apache.cassandra.avro.InvalidRequestException`
    `org.apache.cassandra.avro.NotFoundException`
    `org.apache.cassandra.avro.UnavailableException`
    `org.apache.cassandra.avro.TimedOutException`

### readColumnFamily

    protected java.util.Map<java.lang.String,ColumnFamily> readColumnFamily(java.util.List<ReadCommand> commands,
                                                                            org.apache.cassandra.avro.ConsistencyLevel consistency)
                                                                     throws org.apache.cassandra.avro.InvalidRequestException,
                                                                            org.apache.cassandra.avro.UnavailableException,
                                                                            org.apache.cassandra.avro.TimedOutException

  Throws:
    `org.apache.cassandra.avro.InvalidRequestException`
    `org.apache.cassandra.avro.UnavailableException`
    `org.apache.cassandra.avro.TimedOutException`

### avronateSubColumns

    public org.apache.avro.generic.GenericArray<org.apache.cassandra.avro.Column> avronateSubColumns(java.util.Collection<IColumn> columns)

### insert

    public java.lang.Void insert(org.apache.avro.util.Utf8 keyspace,
                                 org.apache.avro.util.Utf8 key,
                                 org.apache.cassandra.avro.ColumnPath cp,
                                 java.nio.ByteBuffer value,
                                 long timestamp,
                                 org.apache.cassandra.avro.ConsistencyLevel consistencyLevel)
                          throws org.apache.avro.ipc.AvroRemoteException,
                                 org.apache.cassandra.avro.InvalidRequestException,
                                 org.apache.cassandra.avro.UnavailableException,
                                 org.apache.cassandra.avro.TimedOutException

  Specified by:
    `insert` in interface `org.apache.cassandra.avro.Cassandra`
  Throws:
    `org.apache.avro.ipc.AvroRemoteException`
    `org.apache.cassandra.avro.InvalidRequestException`
    `org.apache.cassandra.avro.UnavailableException`
    `org.apache.cassandra.avro.TimedOutException`

### batch_insert

    public java.lang.Void batch_insert(org.apache.avro.util.Utf8 keyspace,
                                       org.apache.avro.util.Utf8 key,
                                       java.util.Map<org.apache.avro.util.Utf8,org.apache.avro.generic.GenericArray<org.apache.cassandra.avro.ColumnOrSuperColumn>> cfmap,
                                       org.apache.cassandra.avro.ConsistencyLevel consistency)
                                throws org.apache.avro.ipc.AvroRemoteException,
                                       org.apache.cassandra.avro.InvalidRequestException,
                                       org.apache.cassandra.avro.UnavailableException,
                                       org.apache.cassandra.avro.TimedOutException

  Specified by:
    `batch_insert` in interface `org.apache.cassandra.avro.Cassandra`
  Throws:
    `org.apache.avro.ipc.AvroRemoteException`
    `org.apache.cassandra.avro.InvalidRequestException`
    `org.apache.cassandra.avro.UnavailableException`
    `org.apache.cassandra.avro.TimedOutException`

### get_api_version

    public org.apache.avro.util.Utf8 get_api_version()
                                              throws org.apache.avro.ipc.AvroRemoteException

  Specified by:
    `get_api_version` in interface `org.apache.cassandra.avro.Cassandra`
  Throws:
    `org.apache.avro.ipc.AvroRemoteException`

Copyright © 2010 The Apache Software Foundation